Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.thread
Class NewThreadAction

    java.lang.Object
      com.sun.jini.thread.NewThreadAction

All Implemented Interfaces:
  PrivilegedAction

public final class NewThreadAction
extends Object
implements PrivilegedAction

A PrivilegedAction for creating a new thread conveniently with an AccessController.doPrivileged or Security.doPrivileged. All constructors allow the choice of the Runnable for the new thread to execute, the name of the new thread (which will be prefixed with the constant NAME_PREFIX), and whether or not it will be a daemon thread. The new thread may be created in the system thread group (the root of the thread group tree) or an internally created non-system thread group, as specified at construction of this class. The new thread will have the system class loader as its initial context class loader (that is, its context class loader will NOT be inherited from the current thread).

Constructor Summary
`NewThreadAction(Runnable runnable, String name, boolean daemon)` Creates an action that will create a new thread in the system thread group.
`NewThreadAction(Runnable runnable, String name, boolean daemon, boolean user)` Creates an action that will create a new thread.

Method Summary
`Object` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewThreadAction

    public NewThreadAction(Runnable runnable,
                           String name,
                           boolean daemon)

  Creates an action that will create a new thread in the system thread group.

Parameters:
  `runnable` - the Runnable for the new thread to execute
  `name` - the name of the new thread
  `daemon` - if true, new thread will be a daemon thread; if false, new thread will not be a daemon thread

### NewThreadAction

    public NewThreadAction(Runnable runnable,
                           String name,
                           boolean daemon,
                           boolean user)

  Creates an action that will create a new thread.

Parameters:
  `runnable` - the Runnable for the new thread to execute
  `name` - the name of the new thread
  `daemon` - if true, new hread will be a daemon thread; if false, new thread will not be a daemon thread
  `user` - if true, thread will be created in a non-system thread group; if false, thread will be created in the system thread group

Method Detail

### run

    public Object run()

  Specified by:
    `run` in interface `PrivilegedAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved